Module | Compass::Configuration
In: | lib/compass/configuration/adapters.rb lib/compass/configuration/comments.rb lib/compass/configuration/data.rb lib/compass/configuration/defaults.rb lib/compass/configuration/file_data.rb lib/compass/configuration/helpers.rb lib/compass/configuration/inheritance.rb lib/compass/configuration/serialization.rb lib/compass/configuration.rb

### Methods

add_configuration_property attributes_for_directory remove_configuration_property

### Classes and Modules

Module Compass::Configuration::Adapters
Module Compass::Configuration::Comments
Module Compass::Configuration::Defaults
Module Compass::Configuration::Helpers
Module Compass::Configuration::Inheritance
Module Compass::Configuration::Paths
Module Compass::Configuration::Serialization
Class Compass::Configuration::Data
Class Compass::Configuration::FileData

### Constants

ATTRIBUTES

=

[ # What kind of project? :project_type, # Where is the project? :project_path, :http_path, # Where are the various bits of the project attributes_for_directory(:css, :stylesheets), attributes_for_directory(:sass, nil), attributes_for_directory(:images), attributes_for_directory(:javascripts), attributes_for_directory(:fonts), attributes_for_directory(:extensions, nil), # Compilation options :output_style, :environment, :relative_assets, :additional_import_paths, :sass_options, attributes_for_directory(:cache, nil), :cache, # Helper configuration :asset_host, :asset_cache_buster, :line_comments, :color_output, :preferred_syntax, :disable_warnings, :sprite_engine, :chunky_png_options

### Public Class methods

add_configuration_property(name, comment = nil, &default)

Registers a new configuration property. Extensions can use this to add new configuration options to compass.

@param [Symbol] name The name of the property. @param [String] comment A comment for the property. @param [Proc] default A method to calculate the default value for the property.

                          The proc is executed in the context of the project's configuration data.

attributes_for_directory(dir_name, http_dir_name = dir_name)
remove_configuration_property(name)

For testing purposes

[Validate]